ignite-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Oleg Ostanin (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (IGNITE-10403) Yardstick does not work without Guava 20 in the classpath
Date Mon, 26 Nov 2018 07:34:00 GMT

     [ https://issues.apache.org/jira/browse/IGNITE-10403?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Oleg Ostanin updated IGNITE-10403:
----------------------------------
    Description: 
{noformat}
Exception in thread "main" java.lang.NoSuchMethodError: com.google.common.collect.Sets$SetView.iterator()Lcom/google/common/collect/UnmodifiableIterator;
at org.reflections.Reflections.expandSuperTypes(Reflections.java:380) at org.reflections.Reflections.<init>(Reflections.java:126)
at org.reflections.Reflections.<init>(Reflections.java:168) at org.yardstickframework.impl.BenchmarkLoader.initialize(BenchmarkLoader.java:99)
at org.yardstickframework.BenchmarkServerStartUp.main(BenchmarkServerStartUp.java:40)

{noformat}
 
 Explanation from this link:
 [https://github.com/confluentinc/kafka-connect-elasticsearch/issues/143]

'This error means that you are bringing an older version of guava earlier in your classpath.
Connect worker requires guava >= 20 for org.reflections to work correctly.'

Indeed adding guava 20 to Yardstick ./lib folder helps.

  was:
{noformat}

Exception in thread "main" java.lang.NoSuchMethodError: com.google.common.collect.Sets$SetView.iterator()Lcom/google/common/collect/UnmodifiableIterator;
at org.reflections.Reflections.expandSuperTypes(Reflections.java:380) at org.reflections.Reflections.<init>(Reflections.java:126)
at org.reflections.Reflections.<init>(Reflections.java:168) at org.yardstickframework.impl.BenchmarkLoader.initialize(BenchmarkLoader.java:99)
at org.yardstickframework.BenchmarkServerStartUp.main(BenchmarkServerStartUp.java:40)

{noformat}

 
Explanation from this link:
 [https://github.com/confluentinc/kafka-connect-elasticsearch/issues/143]

'This error means that you are bringing an older version of guava earlier in your classpath.
Connect worker requires guava >= 20 for org.reflections to work correctly.'

Indeed adding guava 20 to Yardstick ./lib folder helps. Will create ticket in Ignite jira
and fix ignite-yardstick pom.xml file.


> Yardstick does not work without Guava 20 in the classpath
> ---------------------------------------------------------
>
>                 Key: IGNITE-10403
>                 URL: https://issues.apache.org/jira/browse/IGNITE-10403
>             Project: Ignite
>          Issue Type: Bug
>            Reporter: Oleg Ostanin
>            Priority: Major
>
> {noformat}
> Exception in thread "main" java.lang.NoSuchMethodError: com.google.common.collect.Sets$SetView.iterator()Lcom/google/common/collect/UnmodifiableIterator;
at org.reflections.Reflections.expandSuperTypes(Reflections.java:380) at org.reflections.Reflections.<init>(Reflections.java:126)
at org.reflections.Reflections.<init>(Reflections.java:168) at org.yardstickframework.impl.BenchmarkLoader.initialize(BenchmarkLoader.java:99)
at org.yardstickframework.BenchmarkServerStartUp.main(BenchmarkServerStartUp.java:40)
> {noformat}
>  
>  Explanation from this link:
>  [https://github.com/confluentinc/kafka-connect-elasticsearch/issues/143]
> 'This error means that you are bringing an older version of guava earlier in your classpath.
Connect worker requires guava >= 20 for org.reflections to work correctly.'
> Indeed adding guava 20 to Yardstick ./lib folder helps.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message